jvx.numeric

## Class PnStiffDiriConforming

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnSparseMatrix
    - - jvx.numeric.PnStiffMatrix
      - - jvx.numeric.PnStiffDiriConforming

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PdMatrixIf

      public class PnStiffDiriConforming
      extends PnStiffMatrix

  Create and setup stiffness matrix for Dirichlet energy and area computations of a given conforming triangulated domain surface.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    27.03.00, 2.01 revised (ep) .. = .. -= .. statements separated.
    03.09.99, 2.00 revised (kp) Extracted from original super class.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jvx.numeric.PnStiffMatrix

      `m_noe`

    - ### Fields inherited from class jvx.numeric.PnSparseMatrix

      `USE_LARGER_BUFFER`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnStiffDiriConforming(PgElementSet surface)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(PgElementSet surface)` Initializes the stiffness matrix by computing the index vector and matrix entries.

    - ### Methods inherited from class jvx.numeric.PnStiffMatrix

      `computeRightVector, computeStiffnessMatrix, init`

    - ### Methods inherited from class jvx.numeric.PnSparseMatrix

      `add, add, addDiagonal, addDiagonal, addEntry, addNew, appendEntry, clear, clearColumn, clearRow, compress, concatMatrices, copy, copyNew, deleteColumn, deleteRow, extractRows, getColIndex, getColIndices, getColIndices, getDiagIndex, getEntries, getEntries, getEntry, getEntrySparse, getIndex, getNumCols, getNumEntries, getNumEntries, getNumRows, isEqualTo, isSquare, leftMultMatrix, leftMultVector, leftMultVector, leftMultVector, leftMultVector, multMatrices, multQuadratic, multScalar, multScalar, removeZeros, rightMultMatrix, rightMultVector, rightMultVector, rightMultVector, rightMultVector, setEntry, setEntrySparse, setNumEntries, setRow, setSize, setSize, setSize, sortEntries, sub, subNew, toPdMatrix, toShortString, toString, transpose, transpose, transposeNew, transposeNew, validate, vstackSparseMatrices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, init, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnStiffDiriConforming

          public PnStiffDiriConforming(PgElementSet surface)

  - ### Method Detail

    - #### init

          public void init(PgElementSet surface)

      Initializes the stiffness matrix by computing the index vector and matrix entries. Method can be used to reset the stiffness matrix. All memory allocation is done in constructor.
      Overrides:
        `init` in class `PnStiffMatrix`
      Version:
        03.10.07, 1.10 revised (kp) Use default values of ctg computation aborts.

"

The software JavaView? is copyright protected. All Rights Reserved.
"